class Basic
  # Arguments:
  #   parameter1: (Integer)
  #   parameter2: (Integer)
  #   mark: (String)
  def initialize(parameter1, mark, parameter2)
    @parameter1 = parameter1
    @parameter2 = parameter2
    @mark = mark
  end

  # Arguments:
  #   parameter1: (Integer)
  #   parameter2: (Integer)
  def is_number(parameter1, parameter2)
    return (parameter1.is_a? Numeric) && (parameter2.is_a? Numeric)
  end

  def calculate
    if is_number @parameter1, @parameter2
      case @mark
      when "+"
        @parameter1 + @parameter2
      when "-"
        @parameter1 - @parameter2
      when "*"
        @parameter1 * @parameter2
      when "/"
        begin
          if @parameter2 != 0
            @parameter1/@parameter2.to_f
          else
            raise
          end
        rescue
          "Error divide by 0"
        end
      else
        "This mark is not supported yet"
      end
    else
      "The first and last parameter must be a number"
    end
  end
end
